import React from 'react';
import { Text, View } from 'react-native';
import { theme, css } from './theme';
import { isWeb } from './platform';

const styles = css({
    holder: {
        paddingHorizontal: 4,
        alignItems: 'center',
        justifyContent: 'center'
    }
});

export const Badge = ({ style, color, size, children, text_style, ...props }) => {
    const Color = color || theme.error_color;
    const Size = size || 22;
    if (!children) {
        return null;
    }
    return (
        <View
            style={[
                styles.holder,
                {
                    backgroundColor: Color,
                    borderRadius: Size / 2,
                    minWidth: Size,
                    height: Size
                },
                style
            ]}
        >
            <Text style={[{ color: 'white', fontSize: Size / 2, lineHeight: isWeb ? Size : null }, text_style]}>{children}</Text>
        </View>
    );
};
